Reports
Manage campaign reports for your MailChimp account. All Reports endpoints are read-only. MailChimp’s campaign and Automation reports analyze clicks, opens, subscribers’ social activity, e-commerce data, and more. Learn more about campaign reports .
Available methods
Get campaign reports
GET /reports
Get campaign reports.
Query string parameters
fields
Type: Array
Title: Fields
Read only: false
A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
exclude_fields
Type: Array
Title: Exclude Fields
Read only: false
A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
count
Type: Integer
Title: Count
Read only: true
The number of records to return.
offset
Type: Integer
Title: Offset
Read only: false
The number of records from a collection to skip. Iterating over large collections with this parameter can be slow.
type
Type: Array
Title: Campaign Type
Read only: false
The campaign type.
Possible Values:
regular
plaintext
absplit
rss
variate
before_send_time
Type: String
Title: Before Send Time
Read only: false
Restrict the response to campaigns sent before the set time. We recommend ISO 8601 time format: 2015-10-21T15:41:36+00:00.
since_send_time
Type: String
Title: Since Send Time
Read only: false
Restrict the response to campaigns sent after the set time. We recommend ISO 8601 time format: 2015-10-21T15:41:36+00:00.
Response body parameters
reports
Type: Array
Title: Lists
Read only: false
An array of objects, each representing a report resource.
Show properties
id
Type: String
Title: Campaign ID
Read only: false
A string that uniquely identifies this campaign.
campaign_title
Type: String
Title: Campaign Title
Read only: true
The title of the campaign.
type
Type: String
Title: Campaign Type
Read only: false
The type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto).
emails_sent
Type: Integer
Title: Emails Sent
Read only: false
The total number of emails sent for this campaign.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
The number of abuse reports generated for this campaign.
unsubscribed
Type: Integer
Title: Unsubscribe Count
Read only: true
The total number of unsubscribed members for this campaign.
send_time
Type: String
Title: Send Time
Read only: true
The date and time a campaign was sent.
bounces
Type: Object
Title: Bounces
Read only: false
An object describing the bounce summary for the campaign.
Show properties
hard_bounces
Type: Integer
Title: Hard Bounces
Read only: false
The total number of hard bounced email addresses.
soft_bounces
Type: Integer
Title: Soft Bounces
Read only: false
The total number of soft bounced email addresses.
syntax_errors
Type: Integer
Title: Syntax Errors
Read only: false
The total number of addresses that were syntax-related bounces.
forwards
Type: Object
Title: Forwards
Read only: false
An object describing the forwards and forward activity for the campaign.
Show properties
forwards_count
Type: Integer
Title: Total Forwards
Read only: false
How many times the campaign has been forwarded.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
How many times the forwarded campaign has been opened.
opens
Type: Object
Title: Opens
Read only: false
An object describing the open activity for the campaign.
Show properties
opens_total
Type: Integer
Title: Total Opens
Read only: false
The total number of opens for a campaign.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The total number of unique opens.
open_rate
Type: Number
Title: Open Rate
Read only: false
The number of unique opens divided by the total number of successful deliveries.
last_open
Type: String
Title: Last Open
Read only: false
The date and time of the last recorded open.
clicks
Type: Object
Title: Clicks
Read only: false
An object describing the click activity for the campaign.
Show properties
clicks_total
Type: Integer
Title: Total Clicks
Read only: false
The total number of clicks for the campaign.
unique_clicks
Type: Integer
Title: Unique Clicks
Read only: false
The total number of unique clicks for links across a campaign.
unique_subscriber_clicks
Type: Integer
Title: Unique Subscriber Clicks
Read only: false
The total number of subscribers who clicked on a campaign.
click_rate
Type: Number
Title: Click Rate
Read only: false
The number of unique clicks divided by the total number of successful deliveries.
last_click
Type: String
Title: Last Click
Read only: false
The date and time of the last recorded click for the campaign.
facebook_likes
Type: Object
Title: Facebook Likes
Read only: false
An object describing campaign engagement on Facebook.
Show properties
recipient_likes
Type: Integer
Title: Recipient Likes
Read only: false
The number of recipients who liked the campaign on Facebook.
unique_likes
Type: Integer
Title: Unique Likes
Read only: false
The number of unique likes.
facebook_likes
Type: Integer
Title: Facebook Likes
Read only: false
The number of Facebook likes for the campaign.
industry_stats
Type: Object
Title: Industry Stats
Read only: false
The average campaign statistics for your industry.
Show properties
type
Type: String
Title: Industry Type
Read only: false
The type of business industry associated with your account. For example: retail, education, etc.
open_rate
Type: Number
Title: Open Rate
Read only: false
The industry open rate.
click_rate
Type: Number
Title: Click Rate
Read only: false
The industry click rate.
bounce_rate
Type: Number
Title: Bounce Rate
Read only: false
The industry bounce rate.
unopen_rate
Type: Number
Title: Unopened Rate
Read only: false
The industry unopened rate.
unsub_rate
Type: Number
Title: Unsubscribe Rate
Read only: false
The industry unsubscribe rate.
abuse_rate
Type: Number
Title: Abuse Rate
Read only: false
The industry abuse rate.
list_stats
Type: Object
Title: Industry Stats
Read only: false
The average campaign statistics for your industry. This won’t be present if we haven’t calculated it yet for this list.
Show properties
sub_rate
Type: Number
Title: Average Subscription Rate
Read only: true
The average number of subscriptions per month for the list.
unsub_rate
Type: Number
Title: Average Unsubscription Rate
Read only: true
The average number of unsubscriptions per month for the list.
open_rate
Type: Number
Title: Open Rate
Read only: true
The average open rate (a percentage represented as a number between 0 and 100) per campaign for the list.
click_rate
Type: Number
Title: Click Rate
Read only: true
The average click rate (a percentage represented as a number between 0 and 100) per campaign for the list.
ab_split
Type: Object
Title: A/B Split Stats
Read only: false
General stats about different groups of an A/B Split campaign. Does not return information about MailChimp Pro’s Multivariate Campaigns .
Show properties
a
Type: Object
Title: Campaign A
Read only: false
Stats for Campaign A.
Show properties
bounces
Type: Integer
Title: Bounces
Read only: false
Bounces for Campaign A.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
Abuse reports for Campaign A.
unsubs
Type: Integer
Title: Unsubscribes
Read only: false
Unsubscribes for Campaign A.
recipient_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
Recipient Clicks for Campaign A.
forwards
Type: Integer
Title: Forwards
Read only: false
Forwards for Campaign A.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
Opens from forwards for Campaign A.
opens
Type: Integer
Title: Opens
Read only: false
Opens for Campaign A.
last_open
Type: String
Title: Last Open
Read only: false
The last open for Campaign A.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
Unique opens for Campaign A.
b
Type: Object
Title: Campaign B
Read only: false
Stats for Campaign B.
Show properties
bounces
Type: Integer
Title: Bounces
Read only: false
Bounces for Campaign B.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
Abuse reports for Campaign B.
unsubs
Type: Integer
Title: Unsubscribes
Read only: false
Unsubscribes for Campaign B.
recipient_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
Recipients clicks for Campaign B.
forwards
Type: Integer
Title: Forwards
Read only: false
Forwards for Campaign B.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
Opens for forwards from Campaign B.
opens
Type: Integer
Title: Opens
Read only: false
Opens for Campaign B.
last_open
Type: String
Title: Last Open
Read only: false
The last open for Campaign B.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
Unique opens for Campaign B.
timewarp
Type: Array
Title: Timewarp Stats
Read only: false
An hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp.
Show properties
gmt_offset
Type: Integer
Title: GMT Offset
Read only: false
For campaigns sent with timewarp, the time zone group the member is apart of.
opens
Type: Integer
Title: Opens
Read only: false
The number of opens.
last_open
Type: String
Title: Last Open
Read only: false
The date and time of the last open.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The number of unique opens.
clicks
Type: Integer
Title: Clicks
Read only: false
The number of clicks.
last_click
Type: String
Title: Last Click
Read only: false
The date and time of the last click.
unique_clicks
Type: Integer
Title: Unique Clicks
Read only: false
The number of unique clicks.
bounces
Type: Integer
Title: Bounces
Read only: false
The number of bounces.
timeseries
Type: Array
Title: Timeseries
Read only: false
An hourly breakdown of the performance of the campaign over the first 24 hours.
Show properties
timestamp
Type: String
Title: Timestamp
Read only: false
The date and time for the series.
emails_sent
Type: Integer
Title: Emails Sent
Read only: false
The number of emails sent in the timeseries.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The number of unique opens in the timeseries.
recipients_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
The number of clicks in the timeseries.
share_report
Type: Object
Title: Share Report
Read only: false
The url and password for the VIP report .
Show properties
share_url
Type: String
Title: Report URL
Read only: true
The URL for the VIP report.
share_password
Type: String
Title: Report Password
Read only: true
If password protected, the password for the VIP report.
ecommerce
Type: Object
Title: E-Commerce Report
Read only: false
E-Commerce stats for a campaign.
Show properties
total_orders
Type: Integer
Title: Total Orders
Read only: true
The total orders for a campaign.
total_spent
Type: Number
Title: Total Spent
Read only: true
The total spent for a campaign. Calculated as the sum of all order totals with no deductions.
total_revenue
Type: Number
Title: Total Revenue
Read only: true
The total revenue for a campaign. Calculated as the sum of all order totals minus shipping and tax totals.
delivery_status
Type: Object
Title: Campaign Delivery Status
Read only: false
Updates on campaigns in the process of sending.
Show properties
enabled
Type: Boolean
Title: Delivery Status Enabled
Read only: true
Whether Campaign Delivery Status is enabled for this account and campaign.
can_cancel
Type: Boolean
Title: Campaign Cancelable
Read only: true
Whether a campaign send can be canceled.
status
Type: String
Title: Campaign Delivery Status
Read only: true
The current state of a campaign delivery.
emails_sent
Type: Integer
Title: Emails Sent
Read only: true
The total number of emails confirmed sent for this campaign so far.
emails_canceled
Type: Integer
Title: Emails Canceled
Read only: true
The total number of emails canceled for this campaign.
_links
Type: Array
Title: Links
Read only: true
A list of link types and descriptions for the API schema documents.
Show properties
rel
Type: String
Title: Rel
Read only: true
As with an HTML ‘rel’ attribute, this describes the type of link.
href
Type: String
Title: Href
Read only: true
This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
method
Type: String
Title: Method
Read only: true
The HTTP method that should be used when accessing the URL defined in ‘href’.
Possible Values:
GET
POST
PUT
PATCH
DELETE
OPTIONS
HEAD
targetSchema
Type: String
Title: Target Schema
Read only: true
For GETs, this is a URL representing the schema that the response should conform to.
schema
Type: String
Title: Schema
Read only: true
For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
total_items
Type: Integer
Title: Item Count
Read only: false
The total number of items matching the query regardless of pagination.
_links
Type: Array
Title: Links
Read only: true
A list of link types and descriptions for the API schema documents.
Show properties
rel
Type: String
Title: Rel
Read only: true
As with an HTML ‘rel’ attribute, this describes the type of link.
href
Type: String
Title: Href
Read only: true
This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
method
Type: String
Title: Method
Read only: true
The HTTP method that should be used when accessing the URL defined in ‘href’.
Possible Values:
GET
POST
PUT
PATCH
DELETE
OPTIONS
HEAD
targetSchema
Type: String
Title: Target Schema
Read only: true
For GETs, this is a URL representing the schema that the response should conform to.
schema
Type: String
Title: Schema
Read only: true
For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
Example request
curl --request GET \
--url 'https://usX.api.mailchimp.com/3.0/reports/' \
--user 'anystring:apikey' \
--include
Example response
HTTP/1.1 200 OK
Server: nginx
Content-Type: application/json; charset=utf-8
Vary: Accept-Encoding
X-Request-Id: 622950fe-e8d6-4f8f-b9a7-84fd35b08442
Link: <https://api.mailchimp.com/schema/3.0/Reports/Collection.json>; rel="describedBy"
Date: Thu, 17 Sep 2015 16:28:20 GMT
Transfer-Encoding: chunked
Connection: keep-alive
Connection: Transfer-Encoding
{
"reports": [
{
"id": "42694e9e57",
"campaign_title": "Freddie's Jokes Vol. 1",
"type": "regular",
"emails_sent": 200,
"abuse_reports": 0,
"unsubscribed": 2,
"send_time": "2015-09-15T19:05:51+00:00",
"bounces": {
"hard_bounces": 0,
"soft_bounces": 2,
"syntax_errors": 0
},
"forwards": {
"forwards_count": 0,
"forwards_opens": 0
},
"opens": {
"opens_total": 186,
"unique_opens": 100,
"open_rate": 42,
"last_open": "2015-09-15T19:15:47+00:00"
},
"clicks": {
"clicks_total": 42,
"unique_clicks": 400,
"unique_subscriber_clicks": 42,
"click_rate": 42,
"last_click": "2015-09-15T19:15:47+00:00"
},
"facebook_likes": {
"recipient_likes": 5,
"unique_likes": 8,
"facebook_likes": 42
},
"industry_stats": {
"type": "Social Networks and Online Communities",
"open_rate": 0.17076777144396,
"click_rate": 0.027431311866951,
"bounce_rate": 0.0063767751251474,
"unopen_rate": 0.82285545343089,
"unsub_rate": 0.001436957032815,
"abuse_rate": 0.00021111996110887
},
"list_stats": {
"sub_rate": 10,
"unsub_rate": 20,
"open_rate": 42,
"click_rate": 42
},
"timeseries": [
{
"timestamp": "2015-09-15T19:00:00+00:00",
"emails_sent": 198,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T20:00:00+00:00",
"emails_sent": 2,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T21:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T22:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T23:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T00:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T01:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T02:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T03:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T04:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T05:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T06:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T07:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T08:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T09:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T10:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T11:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T12:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T13:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T14:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T15:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T16:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T17:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T18:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
}
],
"share_report": {
"share_url": "http://usX.vip-reports.net/reports/summary?u=xxxx&id=xxxx",
"share_password": "freddielikesjokes"
},
"delivery_status": {
"enabled": false
},
"_links": [
{
"rel": "parent",
"href": "https://usX.api.mailchimp.com/3.0/reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Collection.json",
"schema": "https://api.mailchimp.com/schema/3.0/CollectionLinks/Reports.json"
},
{
"rel": "self",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Instance.json"
},
{
"rel": "campaign",
"href": "https://usX.api.mailchimp.com/3.0/campaigns/42694e9e57",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Campaigns/Instance.json"
},
{
"rel": "sub-reports",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/sub-reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Sub/Collection.json"
},
{
"rel": "abuse-reports",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/abuse-reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Abuse/Collection.json"
},
{
"rel": "advice",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/advice",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Advice/Collection.json"
},
{
"rel": "click-details",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/click-details",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/ClickDetails/Collection.json"
},
{
"rel": "domain-performance",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/domain-performance",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/DomainPerformance/Collection.json"
},
{
"rel": "eepurl",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/eepurl",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Eepurl/Collection.json"
},
{
"rel": "email-activity",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/email-activity",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/EmailActivity/Collection.json"
},
{
"rel": "locations",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/locations",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Locations/Collection.json"
},
{
"rel": "sent-to",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/sent-to",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/SentTo/Collection.json"
},
{
"rel": "unsubscribed",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/unsubscribed",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Unsubs/Collection.json"
}
]
}
],
"_links": [
{
"rel": "parent",
"href": "https://usX.api.mailchimp.com/3.0/",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Root.json"
},
{
"rel": "self",
"href": "https://usX.api.mailchimp.com/3.0/reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Collection.json",
"schema": "https://api.mailchimp.com/schema/3.0/CollectionLinks/Reports.json"
}
],
"total_items": 1
}
Error response
type
Type: String
Title: Problem Type
Read only: false
An absolute URI that identifies the problem type. When dereferenced, it should provide human-readable documentation for the problem type.
title
Type: String
Title: Error Title
Read only: false
A short, human-readable summary of the problem type. It shouldn’t change based on the occurrence of the problem, except for purposes of localization.
status
Type: Integer
Title: HTTP Status Code
Read only: false
The HTTP status code (RFC2616, Section 6) generated by the origin server for this occurrence of the problem.
detail
Type: String
Title: Error Message
Read only: false
A human-readable explanation specific to this occurrence of the problem. Learn more about errors .
instance
Type: String
Title: Instance ID
Read only: false
A string that identifies this specific occurrence of the problem. Please provide this ID when contacting support.
Get a specific campaign report
GET /reports/{campaign_id}
Get report details for a specific sent campaign.
Path parameters
campaign_id
The unique id for the campaign.
Query string parameters
fields
Type: Array
Title: Fields
Read only: false
A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
exclude_fields
Type: Array
Title: Exclude Fields
Read only: false
A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
Response body parameters
id
Type: String
Title: Campaign ID
Read only: false
A string that uniquely identifies this campaign.
campaign_title
Type: String
Title: Campaign Title
Read only: true
The title of the campaign.
type
Type: String
Title: Campaign Type
Read only: false
The type of campaign (regular, plain-text, ab_split, rss, automation, variate, or auto).
emails_sent
Type: Integer
Title: Emails Sent
Read only: false
The total number of emails sent for this campaign.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
The number of abuse reports generated for this campaign.
unsubscribed
Type: Integer
Title: Unsubscribe Count
Read only: true
The total number of unsubscribed members for this campaign.
send_time
Type: String
Title: Send Time
Read only: true
The date and time a campaign was sent.
bounces
Type: Object
Title: Bounces
Read only: false
An object describing the bounce summary for the campaign.
Show properties
hard_bounces
Type: Integer
Title: Hard Bounces
Read only: false
The total number of hard bounced email addresses.
soft_bounces
Type: Integer
Title: Soft Bounces
Read only: false
The total number of soft bounced email addresses.
syntax_errors
Type: Integer
Title: Syntax Errors
Read only: false
The total number of addresses that were syntax-related bounces.
forwards
Type: Object
Title: Forwards
Read only: false
An object describing the forwards and forward activity for the campaign.
Show properties
forwards_count
Type: Integer
Title: Total Forwards
Read only: false
How many times the campaign has been forwarded.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
How many times the forwarded campaign has been opened.
opens
Type: Object
Title: Opens
Read only: false
An object describing the open activity for the campaign.
Show properties
opens_total
Type: Integer
Title: Total Opens
Read only: false
The total number of opens for a campaign.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The total number of unique opens.
open_rate
Type: Number
Title: Open Rate
Read only: false
The number of unique opens divided by the total number of successful deliveries.
last_open
Type: String
Title: Last Open
Read only: false
The date and time of the last recorded open.
clicks
Type: Object
Title: Clicks
Read only: false
An object describing the click activity for the campaign.
Show properties
clicks_total
Type: Integer
Title: Total Clicks
Read only: false
The total number of clicks for the campaign.
unique_clicks
Type: Integer
Title: Unique Clicks
Read only: false
The total number of unique clicks for links across a campaign.
unique_subscriber_clicks
Type: Integer
Title: Unique Subscriber Clicks
Read only: false
The total number of subscribers who clicked on a campaign.
click_rate
Type: Number
Title: Click Rate
Read only: false
The number of unique clicks divided by the total number of successful deliveries.
last_click
Type: String
Title: Last Click
Read only: false
The date and time of the last recorded click for the campaign.
facebook_likes
Type: Object
Title: Facebook Likes
Read only: false
An object describing campaign engagement on Facebook.
Show properties
recipient_likes
Type: Integer
Title: Recipient Likes
Read only: false
The number of recipients who liked the campaign on Facebook.
unique_likes
Type: Integer
Title: Unique Likes
Read only: false
The number of unique likes.
facebook_likes
Type: Integer
Title: Facebook Likes
Read only: false
The number of Facebook likes for the campaign.
industry_stats
Type: Object
Title: Industry Stats
Read only: false
The average campaign statistics for your industry.
Show properties
type
Type: String
Title: Industry Type
Read only: false
The type of business industry associated with your account. For example: retail, education, etc.
open_rate
Type: Number
Title: Open Rate
Read only: false
The industry open rate.
click_rate
Type: Number
Title: Click Rate
Read only: false
The industry click rate.
bounce_rate
Type: Number
Title: Bounce Rate
Read only: false
The industry bounce rate.
unopen_rate
Type: Number
Title: Unopened Rate
Read only: false
The industry unopened rate.
unsub_rate
Type: Number
Title: Unsubscribe Rate
Read only: false
The industry unsubscribe rate.
abuse_rate
Type: Number
Title: Abuse Rate
Read only: false
The industry abuse rate.
list_stats
Type: Object
Title: Industry Stats
Read only: false
The average campaign statistics for your industry. This won’t be present if we haven’t calculated it yet for this list.
Show properties
sub_rate
Type: Number
Title: Average Subscription Rate
Read only: true
The average number of subscriptions per month for the list.
unsub_rate
Type: Number
Title: Average Unsubscription Rate
Read only: true
The average number of unsubscriptions per month for the list.
open_rate
Type: Number
Title: Open Rate
Read only: true
The average open rate (a percentage represented as a number between 0 and 100) per campaign for the list.
click_rate
Type: Number
Title: Click Rate
Read only: true
The average click rate (a percentage represented as a number between 0 and 100) per campaign for the list.
ab_split
Type: Object
Title: A/B Split Stats
Read only: false
General stats about different groups of an A/B Split campaign. Does not return information about MailChimp Pro’s Multivariate Campaigns .
Show properties
a
Type: Object
Title: Campaign A
Read only: false
Stats for Campaign A.
Show properties
bounces
Type: Integer
Title: Bounces
Read only: false
Bounces for Campaign A.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
Abuse reports for Campaign A.
unsubs
Type: Integer
Title: Unsubscribes
Read only: false
Unsubscribes for Campaign A.
recipient_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
Recipient Clicks for Campaign A.
forwards
Type: Integer
Title: Forwards
Read only: false
Forwards for Campaign A.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
Opens from forwards for Campaign A.
opens
Type: Integer
Title: Opens
Read only: false
Opens for Campaign A.
last_open
Type: String
Title: Last Open
Read only: false
The last open for Campaign A.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
Unique opens for Campaign A.
b
Type: Object
Title: Campaign B
Read only: false
Stats for Campaign B.
Show properties
bounces
Type: Integer
Title: Bounces
Read only: false
Bounces for Campaign B.
abuse_reports
Type: Integer
Title: Abuse Reports
Read only: false
Abuse reports for Campaign B.
unsubs
Type: Integer
Title: Unsubscribes
Read only: false
Unsubscribes for Campaign B.
recipient_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
Recipients clicks for Campaign B.
forwards
Type: Integer
Title: Forwards
Read only: false
Forwards for Campaign B.
forwards_opens
Type: Integer
Title: Forward Opens
Read only: false
Opens for forwards from Campaign B.
opens
Type: Integer
Title: Opens
Read only: false
Opens for Campaign B.
last_open
Type: String
Title: Last Open
Read only: false
The last open for Campaign B.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
Unique opens for Campaign B.
timewarp
Type: Array
Title: Timewarp Stats
Read only: false
An hourly breakdown of sends, opens, and clicks if a campaign is sent using timewarp.
Show properties
gmt_offset
Type: Integer
Title: GMT Offset
Read only: false
For campaigns sent with timewarp, the time zone group the member is apart of.
opens
Type: Integer
Title: Opens
Read only: false
The number of opens.
last_open
Type: String
Title: Last Open
Read only: false
The date and time of the last open.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The number of unique opens.
clicks
Type: Integer
Title: Clicks
Read only: false
The number of clicks.
last_click
Type: String
Title: Last Click
Read only: false
The date and time of the last click.
unique_clicks
Type: Integer
Title: Unique Clicks
Read only: false
The number of unique clicks.
bounces
Type: Integer
Title: Bounces
Read only: false
The number of bounces.
timeseries
Type: Array
Title: Timeseries
Read only: false
An hourly breakdown of the performance of the campaign over the first 24 hours.
Show properties
timestamp
Type: String
Title: Timestamp
Read only: false
The date and time for the series.
emails_sent
Type: Integer
Title: Emails Sent
Read only: false
The number of emails sent in the timeseries.
unique_opens
Type: Integer
Title: Unique Opens
Read only: false
The number of unique opens in the timeseries.
recipients_clicks
Type: Integer
Title: Recipient Clicks
Read only: false
The number of clicks in the timeseries.
share_report
Type: Object
Title: Share Report
Read only: false
The url and password for the VIP report .
Show properties
share_url
Type: String
Title: Report URL
Read only: true
The URL for the VIP report.
share_password
Type: String
Title: Report Password
Read only: true
If password protected, the password for the VIP report.
ecommerce
Type: Object
Title: E-Commerce Report
Read only: false
E-Commerce stats for a campaign.
Show properties
total_orders
Type: Integer
Title: Total Orders
Read only: true
The total orders for a campaign.
total_spent
Type: Number
Title: Total Spent
Read only: true
The total spent for a campaign. Calculated as the sum of all order totals with no deductions.
total_revenue
Type: Number
Title: Total Revenue
Read only: true
The total revenue for a campaign. Calculated as the sum of all order totals minus shipping and tax totals.
delivery_status
Type: Object
Title: Campaign Delivery Status
Read only: false
Updates on campaigns in the process of sending.
Show properties
enabled
Type: Boolean
Title: Delivery Status Enabled
Read only: true
Whether Campaign Delivery Status is enabled for this account and campaign.
can_cancel
Type: Boolean
Title: Campaign Cancelable
Read only: true
Whether a campaign send can be canceled.
status
Type: String
Title: Campaign Delivery Status
Read only: true
The current state of a campaign delivery.
emails_sent
Type: Integer
Title: Emails Sent
Read only: true
The total number of emails confirmed sent for this campaign so far.
emails_canceled
Type: Integer
Title: Emails Canceled
Read only: true
The total number of emails canceled for this campaign.
_links
Type: Array
Title: Links
Read only: true
A list of link types and descriptions for the API schema documents.
Show properties
rel
Type: String
Title: Rel
Read only: true
As with an HTML ‘rel’ attribute, this describes the type of link.
href
Type: String
Title: Href
Read only: true
This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
method
Type: String
Title: Method
Read only: true
The HTTP method that should be used when accessing the URL defined in ‘href’.
Possible Values:
GET
POST
PUT
PATCH
DELETE
OPTIONS
HEAD
targetSchema
Type: String
Title: Target Schema
Read only: true
For GETs, this is a URL representing the schema that the response should conform to.
schema
Type: String
Title: Schema
Read only: true
For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
Example request
curl --request GET \
--url 'https://usX.api.mailchimp.com/3.0/reports/42694e9e57' \
--user 'anystring:apikey' \
--include
Example response
HTTP/1.1 200 OK
Server: nginx
Content-Type: application/json; charset=utf-8
Content-Length: 6036
Vary: Accept-Encoding
X-Request-Id: 6b4096b8-0940-475f-b1dd-51056fb46d49
Link: <https://api.mailchimp.com/schema/3.0/Reports/Instance.json>; rel="describedBy"
Date: Thu, 17 Sep 2015 16:35:22 GMT
Connection: keep-alive
{
"id": "42694e9e57",
"campaign_title": "Freddie's Jokes Vol. 1",
"type": "regular",
"emails_sent": 200,
"abuse_reports": 0,
"unsubscribed": 2,
"send_time": "2015-09-15T19:05:51+00:00",
"bounces": {
"hard_bounces": 0,
"soft_bounces": 2,
"syntax_errors": 0
},
"forwards": {
"forwards_count": 0,
"forwards_opens": 0
},
"opens": {
"opens_total": 186,
"unique_opens": 100,
"open_rate": 42,
"last_open": "2015-09-15T19:15:47+00:00"
},
"clicks": {
"clicks_total": 42,
"unique_clicks": 400,
"unique_subscriber_clicks": 42,
"click_rate": 42,
"last_click": "2015-09-15T19:15:47+00:00"
},
"facebook_likes": {
"recipient_likes": 5,
"unique_likes": 8,
"facebook_likes": 42
},
"industry_stats": {
"type": "Social Networks and Online Communities",
"open_rate": 0.17076777144396,
"click_rate": 0.027431311866951,
"bounce_rate": 0.0063767751251474,
"unopen_rate": 0.82285545343089,
"unsub_rate": 0.001436957032815,
"abuse_rate": 0.00021111996110887
},
"list_stats": {
"sub_rate": 10,
"unsub_rate": 20,
"open_rate": 42,
"click_rate": 42
},
"timeseries": [
{
"timestamp": "2015-09-15T19:00:00+00:00",
"emails_sent": 198,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T20:00:00+00:00",
"emails_sent": 2,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T21:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T22:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-15T23:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T00:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T01:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T02:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T03:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T04:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T05:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T06:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T07:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T08:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T09:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T10:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T11:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T12:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T13:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T14:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T15:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T16:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T17:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
},
{
"timestamp": "2015-09-16T18:00:00+00:00",
"emails_sent": 0,
"unique_opens": 0,
"recipients_clicks": 0
}
],
"share_report": {
"share_url": "http://usX.vip-reports.net/reports/summary?u=xxxx&id=xxxx",
"share_password": "freddielikesjokes"
},
"delivery_status": {
"enabled": false
},
"_links": [
{
"rel": "parent",
"href": "https://usX.api.mailchimp.com/3.0/reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Collection.json",
"schema": "https://api.mailchimp.com/schema/3.0/CollectionLinks/Reports.json"
},
{
"rel": "self",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Instance.json"
},
{
"rel": "campaign",
"href": "https://usX.api.mailchimp.com/3.0/campaigns/42694e9e57",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Campaigns/Instance.json"
},
{
"rel": "sub-reports",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/sub-reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Sub/Collection.json"
},
{
"rel": "abuse-reports",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/abuse-reports",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Abuse/Collection.json"
},
{
"rel": "advice",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/advice",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Advice/Collection.json"
},
{
"rel": "click-details",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/click-details",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/ClickDetails/Collection.json"
},
{
"rel": "domain-performance",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/domain-performance",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/DomainPerformance/Collection.json"
},
{
"rel": "eepurl",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/eepurl",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Eepurl/Collection.json"
},
{
"rel": "email-activity",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/email-activity",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/EmailActivity/Collection.json"
},
{
"rel": "locations",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/locations",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Locations/Collection.json"
},
{
"rel": "sent-to",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/sent-to",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/SentTo/Collection.json"
},
{
"rel": "unsubscribed",
"href": "https://usX.api.mailchimp.com/3.0/reports/42694e9e57/unsubscribed",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Reports/Unsubs/Collection.json"
}
]
}
Error response
type
Type: String
Title: Problem Type
Read only: false
An absolute URI that identifies the problem type. When dereferenced, it should provide human-readable documentation for the problem type.
title
Type: String
Title: Error Title
Read only: false
A short, human-readable summary of the problem type. It shouldn’t change based on the occurrence of the problem, except for purposes of localization.
status
Type: Integer
Title: HTTP Status Code
Read only: false
The HTTP status code (RFC2616, Section 6) generated by the origin server for this occurrence of the problem.
detail
Type: String
Title: Error Message
Read only: false
A human-readable explanation specific to this occurrence of the problem. Learn more about errors .
instance
Type: String
Title: Instance ID
Read only: false
A string that identifies this specific occurrence of the problem. Please provide this ID when contacting support.